using System;
using System.Collections;
using System.Collections.Generic;
using Mirror;
using UnityEngine;
using UnityEngine.AI;
using UnityEngine.InputSystem;

public class PlayerMovement : NetworkBehaviour
{
    [SerializeField] private NavMeshAgent _navMeshAgent;

    private Camera _camera;

    #region Server

    [Command] private void CmdMove()
    {
        _navMeshAgent.SetDestination(new(1, 1, 1));
    }

    #endregion

    #region Client

    private void OnEnable()
    {
        _camera = GetComponent<Camera>();
    }

    private void KDSUpdate()
    {
        var mouse = Mouse.current;

        if (mouse.leftButton.wasPressedThisFrame)
        {
            RaycastHit hit;
            Ray ray = _camera.ScreenPointToRay(new(mouse.position.x, mouse.position.y, 0));
            if (Physics.Raycast(GetComponent<Camera>().transform.position,
                    transform.TransformDirection(Vector3.forward), out hit, Mathf.Infinity))
            {
                Debug.DrawRay(transform.position, transform.TransformDirection(Vector3.forward) * hit.distance,
                    Color.yellow);
                Debug.Log("Did Hit");
            }
        }
    }

    #endregion
}